Check Point Advisories

Digium Asterisk SIP Invalid SDP Media Descriptions Denial of Service (CVE-2013-5642)

Check Point Reference: CPAI-2013-2961
Date Published: 29 Sep 2013
Severity: High
Last Updated: 31 Mar 2019
Source:
Industry Reference:CVE-2013-5642
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable?
Vulnerability Description A denial of service vulnerability exists in Asterisk Open Source, Certified Asterisk and Asterisk with Digiumphones. The vulnerability is due to the SIP channel driver failing to handle an invalid SDP sent in a SIP request that defines media descriptions before connection information. An attacker could exploit this vulnerability by sending a specially crafted SIP request to the vulnerable server.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Digium Asterisk SIP Invalid SDP Media Descriptions Denial of Service protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  VoIP Enforcement Violation.
Attack Information:  Digium Asterisk SIP Invalid SDP Media Descriptions Denial of Service

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO